# Uses of Enum
org.apache.commons.math3.optim.nonlinear.scalar.GoalType

Packages that use GoalType
Package
Description
org.apache.commons.math3.optim.nonlinear.scalar
Algorithms for optimizing a scalar function.
org.apache.commons.math3.optim.univariate
One-dimensional optimization algorithms.

## Uses of GoalType in org.apache.commons.math3.optim.nonlinear.scalar

Methods in org.apache.commons.math3.optim.nonlinear.scalar that return GoalType
Modifier and Type
Method
Description
`GoalType`
MultivariateOptimizer.`getGoalType()`
`static GoalType`
GoalType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static GoalType[]`
GoalType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of GoalType in org.apache.commons.math3.optim.univariate

Methods in org.apache.commons.math3.optim.univariate that return GoalType
Modifier and Type
Method
Description
`GoalType`
UnivariateOptimizer.`getGoalType()`
Methods in org.apache.commons.math3.optim.univariate with parameters of type GoalType
Modifier and Type
Method
Description
`void`
BracketFinder.`search(UnivariateFunction func, GoalType goal, double xA, double xB)`
Search new points that bracket a local optimum of the function.